com.atid.lib.reader.params

## Class NotifyMethod

- java.lang.Object
- - com.atid.lib.reader.params.NotifyMethod

-     public class NotifyMethod
      extends java.lang.Object

  The NotifyMethod class indicates how to notify the user of a Button or Alert on the Device. NotifyMethod items can be set to duplicate. ATD100 is not supported vibration function.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BEEP`
    `static int` | `LIGHT`
    `static int` | `MAX_METHOD`
    `static int` | `VIBRATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyMethod()` Create an instance of the NotifyMethod class.
    `NotifyMethod(boolean beep, boolean vibrate, boolean light)` Create an instance of the NotifyMethod class.
    `NotifyMethod(int value)` Create an instance of the NotifyMethod class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getMethod(int index)` Returns whether the notification status at the specified index.
    `java.lang.String` | `getName(int index)` Returns the name of the notification method at the specified index as a string.
    `int` | `getValue()` Returns the notification state in bit wise format.
    `void` | `setMethods(int index, boolean enabled)` Sets whether or not to be notified at the specified index.
    `void` | `setValue(int value)` Sets the notification state to bit wise format.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEEP

          public static final int BEEP

      See Also:
        Constant Field Values

    - #### VIBRATE

          public static final int VIBRATE

      See Also:
        Constant Field Values

    - #### LIGHT

          public static final int LIGHT

      See Also:
        Constant Field Values

    - #### MAX_METHOD

          public static final int MAX_METHOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotifyMethod

          public NotifyMethod()

      Create an instance of the NotifyMethod class.

    - #### NotifyMethod

          public NotifyMethod(boolean beep,
                              boolean vibrate,
                              boolean light)

      Create an instance of the NotifyMethod class.
      Parameters:
        `beep` - A boolean indicating whether beep sounds are used as notification methods.
        `vibrate` - A boolean indicating whether to use vibration as the notification method.
        `light` - A boolean indicating whether to use LEDs as a notification method.

    - #### NotifyMethod

          public NotifyMethod(int value)

      Create an instance of the NotifyMethod class.
      Parameters:
        `value` - An integer representing the bitwise combination of the notification method.

  - ### Method Detail

    - #### getName

          public java.lang.String getName(int index)

      Returns the name of the notification method at the specified index as a string.
      Parameters:
        `index` - The beep sound status is set to 0, the vibration is set to 1, and the LED is set to 2.
      Returns:
        A string representing the name of the notification method.

    - #### getMethod

          public boolean getMethod(int index)

      Returns whether the notification status at the specified index.
      Parameters:
        `index` - The beep sound status is set to 0, the vibration is set to 1, and the LED is set to 2.
      Returns:
        A boolean indicating the status of the notification.

    - #### setMethods

          public void setMethods(int index,
                                 boolean enabled)

      Sets whether or not to be notified at the specified index.
      Parameters:
        `index` - The beep sound status is set to 0, the vibration is set to 1, and the LED is set to 2.
        `enabled` - A boolean indicating the status of the notification.

    - #### getValue

          public int getValue()

      Returns the notification state in bit wise format.
      Returns:
        An integer representing the notification state in bit wise format.

    - #### setValue

          public void setValue(int value)

      Sets the notification state to bit wise format.
      Parameters:
        `value` - An integer representing the notification state in bit wise format.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`